diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/model/animation-interface.h ns-3.44/src/netanim/model/animation-interface.h
--- ns-3.43/src/netanim/model/animation-interface.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/model/animation-interface.h	2025-03-09 16:55:49.671372200 -0700
@@ -59,16 +59,16 @@
 class WifiPsdu;
 
 /**
- * \defgroup netanim Network Animation
+ * @defgroup netanim Network Animation
  *
  * This section documents the API of the ns-3 netanim module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup netanim
+ * @ingroup netanim
  *
- * \brief Interface to network animator
+ * @brief Interface to network animator
  *
  * Provides functions that facilitate communications with an
  * external or internal network animator.
@@ -77,8 +77,8 @@
 {
   public:
     /**
-     * \brief Constructor
-     * \param filename The Filename for the trace file used by the Animator
+     * @brief Constructor
+     * @param filename The Filename for the trace file used by the Animator
      *
      */
     AnimationInterface(const std::string filename);
@@ -93,24 +93,24 @@
     };
 
     /**
-     * \brief typedef for WriteCallBack used for listening to AnimationInterface
+     * @brief typedef for WriteCallBack used for listening to AnimationInterface
      * write messages
      *
      */
     typedef void (*AnimWriteCallback)(const char* str);
 
     /**
-     * \brief Destructor for the animator interface.
+     * @brief Destructor for the animator interface.
      *
      */
     ~AnimationInterface();
 
     /**
-     * \brief Enable tracking of Ipv4 L3 Protocol Counters such as Tx, Rx, Drop
+     * @brief Enable tracking of Ipv4 L3 Protocol Counters such as Tx, Rx, Drop
      *
-     * \param startTime Start Time for capturing values
-     * \param stopTime Stop Time for capturing values
-     * \param pollInterval The periodic interval at which the counters are written to the trace file
+     * @param startTime Start Time for capturing values
+     * @param stopTime Stop Time for capturing values
+     * @param pollInterval The periodic interval at which the counters are written to the trace file
      *        Default: 1s
      */
     void EnableIpv4L3ProtocolCounters(Time startTime,
@@ -118,45 +118,45 @@
                                       Time pollInterval = Seconds(1));
 
     /**
-     * \brief Enable tracking of Queue Counters such as Enqueue, Dequeue, Queue Drops
+     * @brief Enable tracking of Queue Counters such as Enqueue, Dequeue, Queue Drops
      *
-     * \param startTime Start Time for capturing values
-     * \param stopTime Stop Time for capturing values
-     * \param pollInterval The periodic interval at which the counters are written to the trace file
+     * @param startTime Start Time for capturing values
+     * @param stopTime Stop Time for capturing values
+     * @param pollInterval The periodic interval at which the counters are written to the trace file
      *        Default: 1s
      */
     void EnableQueueCounters(Time startTime, Time stopTime, Time pollInterval = Seconds(1));
 
     /**
-     * \brief Enable tracking of Wifi Mac Counters such as Tx, TxDrop, Rx, RxDrop
+     * @brief Enable tracking of Wifi Mac Counters such as Tx, TxDrop, Rx, RxDrop
      *
-     * \param startTime Start Time for capturing values
-     * \param stopTime Stop Time for capturing values
-     * \param pollInterval The periodic interval at which the counters are written to the trace file
+     * @param startTime Start Time for capturing values
+     * @param stopTime Stop Time for capturing values
+     * @param pollInterval The periodic interval at which the counters are written to the trace file
      *        Default: 1s
      */
     void EnableWifiMacCounters(Time startTime, Time stopTime, Time pollInterval = Seconds(1));
 
     /**
-     * \brief Enable tracking of Wifi Phy Counters such as TxDrop, RxDrop
+     * @brief Enable tracking of Wifi Phy Counters such as TxDrop, RxDrop
      *
-     * \param startTime Start Time for capturing values
-     * \param stopTime Stop Time for capturing values
-     * \param pollInterval The periodic interval at which the counters are written to the trace file
+     * @param startTime Start Time for capturing values
+     * @param stopTime Stop Time for capturing values
+     * @param pollInterval The periodic interval at which the counters are written to the trace file
      *        Default: 1s
      */
     void EnableWifiPhyCounters(Time startTime, Time stopTime, Time pollInterval = Seconds(1));
 
     /**
-     * \brief Enable tracking of the Ipv4 routing table for all Nodes
+     * @brief Enable tracking of the Ipv4 routing table for all Nodes
      *
-     * \param fileName Trace file for storing routing table information
-     * \param startTime Start time for capture
-     * \param stopTime  End time for capture
-     * \param pollInterval The periodic interval at which routing table information is polled
+     * @param fileName Trace file for storing routing table information
+     * @param startTime Start time for capture
+     * @param stopTime  End time for capture
+     * @param pollInterval The periodic interval at which routing table information is polled
      *        Default: 5s
      *
-     * \returns reference to this AnimationInterface object
+     * @returns reference to this AnimationInterface object
      */
     AnimationInterface& EnableIpv4RouteTracking(std::string fileName,
                                                 Time startTime,
@@ -164,16 +164,16 @@
                                                 Time pollInterval = Seconds(5));
 
     /**
-     * \brief Enable tracking of the Ipv4 routing table for a set of Nodes
+     * @brief Enable tracking of the Ipv4 routing table for a set of Nodes
      *
-     * \param fileName Trace file for storing routing table information
-     * \param startTime Start time for capture
-     * \param stopTime  End time for capture
-     * \param nc A NodeContainer containing nodes for which Routing table has to be tracked
-     * \param pollInterval The periodic interval at which routing table information is polled
+     * @param fileName Trace file for storing routing table information
+     * @param startTime Start time for capture
+     * @param stopTime  End time for capture
+     * @param nc A NodeContainer containing nodes for which Routing table has to be tracked
+     * @param pollInterval The periodic interval at which routing table information is polled
      *        Default: 5s
      *
-     * \returns reference to this AnimationInterface object
+     * @returns reference to this AnimationInterface object
      */
     AnimationInterface& EnableIpv4RouteTracking(std::string fileName,
                                                 Time startTime,
@@ -182,32 +182,32 @@
                                                 Time pollInterval = Seconds(5));
 
     /**
-     * \brief Check if AnimationInterface is initialized
+     * @brief Check if AnimationInterface is initialized
      *
-     * \returns true if AnimationInterface was already initialized
+     * @returns true if AnimationInterface was already initialized
      *
      */
     static bool IsInitialized();
 
     /**
-     * \brief Specify the time at which capture should start
+     * @brief Specify the time at which capture should start
      *
-     * \param t The time at which AnimationInterface should begin capture of traffic info
+     * @param t The time at which AnimationInterface should begin capture of traffic info
      *
      */
     void SetStartTime(Time t);
 
     /**
-     * \brief Specify the time at which capture should stop
+     * @brief Specify the time at which capture should stop
      *
-     * \param t The time at which AnimationInterface should stop capture of traffic info
+     * @param t The time at which AnimationInterface should stop capture of traffic info
      *
      */
     void SetStopTime(Time t);
 
     /**
-     * \brief Set Max packets per trace file
-     * \param maxPktsPerFile The maximum number of packets per trace file.
+     * @brief Set Max packets per trace file
+     * @param maxPktsPerFile The maximum number of packets per trace file.
               AnimationInterface will create trace files with the following
               filenames : filename, filename-1, filename-2..., filename-N
               where each file contains packet info for 'maxPktsPerFile' number of packets
@@ -216,118 +216,118 @@
     void SetMaxPktsPerTraceFile(uint64_t maxPktsPerFile);
 
     /**
-     * \brief Set mobility poll interval:WARNING: setting a low interval can
+     * @brief Set mobility poll interval:WARNING: setting a low interval can
      * cause slowness
      *
-     * \param t Time interval between fetching mobility/position information
+     * @param t Time interval between fetching mobility/position information
      * Default: 0.25s
      *
      */
     void SetMobilityPollInterval(Time t);
 
     /**
-     * \brief Set a callback function to listen to AnimationInterface write events
+     * @brief Set a callback function to listen to AnimationInterface write events
      *
-     * \param cb Address of callback function
+     * @param cb Address of callback function
      *
      */
     void SetAnimWriteCallback(AnimWriteCallback cb);
 
     /**
-     * \brief Reset the write callback function
+     * @brief Reset the write callback function
      *
      */
     void ResetAnimWriteCallback();
 
     /**
-     * \brief Helper function to set Constant Position for a given node
-     * \param n Ptr to the node
-     * \param x X coordinate of the node
-     * \param y Y coordinate of the node
-     * \param z Z coordinate of the node
+     * @brief Helper function to set Constant Position for a given node
+     * @param n Ptr to the node
+     * @param x X coordinate of the node
+     * @param y Y coordinate of the node
+     * @param z Z coordinate of the node
      *
      */
     static void SetConstantPosition(Ptr<Node> n, double x, double y, double z = 0);
 
     /**
-     * \brief Helper function to update the description for a given node
-     * \param n Ptr to the node
-     * \param descr A string to briefly describe the node
+     * @brief Helper function to update the description for a given node
+     * @param n Ptr to the node
+     * @param descr A string to briefly describe the node
      *
      */
     void UpdateNodeDescription(Ptr<Node> n, std::string descr);
 
     /**
-     * \brief Helper function to update the description for a given node
-     * \param nodeId Id of the node
-     * \param descr A string to briefly describe the node
+     * @brief Helper function to update the description for a given node
+     * @param nodeId Id of the node
+     * @param descr A string to briefly describe the node
      *
      */
     void UpdateNodeDescription(uint32_t nodeId, std::string descr);
 
     /**
-     * \brief Helper function to update the image of a node
-     * \param nodeId Id of the node
-     * \param resourceId Id of the image resource that was previously added
+     * @brief Helper function to update the image of a node
+     * @param nodeId Id of the node
+     * @param resourceId Id of the image resource that was previously added
      *
      */
     void UpdateNodeImage(uint32_t nodeId, uint32_t resourceId);
 
     /**
-     * \brief Helper function to update the size of a node
-     * \param n Ptr to the node
-     * \param width Width of the node
-     * \param height Height of the node
+     * @brief Helper function to update the size of a node
+     * @param n Ptr to the node
+     * @param width Width of the node
+     * @param height Height of the node
      *
      */
     void UpdateNodeSize(Ptr<Node> n, double width, double height);
 
     /**
-     * \brief Helper function to update the size of a node
-     * \param nodeId Id of the node
-     * \param width Width of the node
-     * \param height Height of the node
+     * @brief Helper function to update the size of a node
+     * @param nodeId Id of the node
+     * @param width Width of the node
+     * @param height Height of the node
      *
      */
     void UpdateNodeSize(uint32_t nodeId, double width, double height);
 
     /**
-     * \brief Helper function to update the node color
-     * \param n Ptr to the node
-     * \param r Red component value (0-255)
-     * \param g Green component value (0-255)
-     * \param b Blue component value (0-255)
+     * @brief Helper function to update the node color
+     * @param n Ptr to the node
+     * @param r Red component value (0-255)
+     * @param g Green component value (0-255)
+     * @param b Blue component value (0-255)
      *
      */
     void UpdateNodeColor(Ptr<Node> n, uint8_t r, uint8_t g, uint8_t b);
 
     /**
-     * \brief Helper function to update the node color
-     * \param nodeId Id of the node
-     * \param r Red component value (0-255)
-     * \param g Green component value (0-255)
-     * \param b Blue component value (0-255)
+     * @brief Helper function to update the node color
+     * @param nodeId Id of the node
+     * @param r Red component value (0-255)
+     * @param g Green component value (0-255)
+     * @param b Blue component value (0-255)
      *
      */
     void UpdateNodeColor(uint32_t nodeId, uint8_t r, uint8_t g, uint8_t b);
 
     /**
-     * \brief Helper function to update a node's counter referenced by the nodeCounterId
-     * \param nodeCounterId The counter Id obtained from AddNodeCounter
-     * \param nodeId Node Id of the node
-     * \param counter Current value of the counter
+     * @brief Helper function to update a node's counter referenced by the nodeCounterId
+     * @param nodeCounterId The counter Id obtained from AddNodeCounter
+     * @param nodeId Node Id of the node
+     * @param counter Current value of the counter
      *
      */
     void UpdateNodeCounter(uint32_t nodeCounterId, uint32_t nodeId, double counter);
 
     /**
-     * \brief Helper function to set the background image
-     * \param fileName File name of the background image
-     * \param x X coordinate of the image
-     * \param y Y coordinate of the image
-     * \param scaleX X scale of the image
-     * \param scaleY Y scale of the image
-     * \param opacity Opacity of the background: A value between 0.0 and 1.0. 0.0 is transparent,
+     * @brief Helper function to set the background image
+     * @param fileName File name of the background image
+     * @param x X coordinate of the image
+     * @param y Y coordinate of the image
+     * @param scaleX X scale of the image
+     * @param scaleY Y scale of the image
+     * @param opacity Opacity of the background: A value between 0.0 and 1.0. 0.0 is transparent,
      *        1.0 is opaque
      *
      */
@@ -339,50 +339,50 @@
                             double opacity);
 
     /**
-     * \brief Helper function to update the description for a link
-     * \param fromNode Node Id of the "from Node" of the p2p link
-     * \param toNode Node Id of the "to Node" of the p2p link
-     * \param linkDescription Description of the link such as link bandwidth
+     * @brief Helper function to update the description for a link
+     * @param fromNode Node Id of the "from Node" of the p2p link
+     * @param toNode Node Id of the "to Node" of the p2p link
+     * @param linkDescription Description of the link such as link bandwidth
      *
      */
     void UpdateLinkDescription(uint32_t fromNode, uint32_t toNode, std::string linkDescription);
 
     /**
-     * \brief Helper function to update the description for a link
-     * \param fromNode Ptr to the "from Node" of the p2p link
-     * \param toNode Ptr to the "to Node" of the p2p link
-     * \param linkDescription Description of the link such as link bandwidth
+     * @brief Helper function to update the description for a link
+     * @param fromNode Ptr to the "from Node" of the p2p link
+     * @param toNode Ptr to the "to Node" of the p2p link
+     * @param linkDescription Description of the link such as link bandwidth
      *
      */
     void UpdateLinkDescription(Ptr<Node> fromNode, Ptr<Node> toNode, std::string linkDescription);
 
     /**
-     * \brief Helper function to print the routing path from a source node to destination IP
-     * \param fromNodeId The source node
-     * \param destinationIpv4Address The destination Ipv4 Address
+     * @brief Helper function to print the routing path from a source node to destination IP
+     * @param fromNodeId The source node
+     * @param destinationIpv4Address The destination Ipv4 Address
      *
-     * \returns reference to this AnimationInterface object
+     * @returns reference to this AnimationInterface object
      */
     AnimationInterface& AddSourceDestination(uint32_t fromNodeId,
                                              std::string destinationIpv4Address);
 
     /**
-     * \brief Is AnimationInterface started
+     * @brief Is AnimationInterface started
      *
-     * \returns true if AnimationInterface was started
+     * @returns true if AnimationInterface was started
      */
     bool IsStarted() const;
 
     /**
-     * \brief Do not trace packets. This helps reduce the trace file size if AnimationInterface is
+     * @brief Do not trace packets. This helps reduce the trace file size if AnimationInterface is
      * solely used for tracking mobility, routing paths and counters
      */
     void SkipPacketTracing();
 
     /**
      *
-     * \brief Enable Packet metadata
-     * \param enable if true enables writing the packet metadata to the XML trace file
+     * @brief Enable Packet metadata
+     * @param enable if true enables writing the packet metadata to the XML trace file
      *        if false disables writing the packet metadata
      *
      */
@@ -390,37 +390,37 @@
 
     /**
      *
-     * \brief Get trace file packet count (This used only for testing)
+     * @brief Get trace file packet count (This used only for testing)
      *
-     * \returns Number of packets recorded in the current trace file
+     * @returns Number of packets recorded in the current trace file
      */
     uint64_t GetTracePktCount() const;
 
     /**
      *
-     * \brief Setup a node counter
-     * \param counterName A string to identify the counter
-     * \param counterType The type of the counter, such as uint32, double etc
+     * @brief Setup a node counter
+     * @param counterName A string to identify the counter
+     * @param counterType The type of the counter, such as uint32, double etc
      *
-     * \returns The id of the counter to be used as a reference for future
+     * @returns The id of the counter to be used as a reference for future
      */
     uint32_t AddNodeCounter(std::string counterName, CounterType counterType);
 
     /**
      *
-     * \brief Add a resource such as the path to an image file
-     * \param resourcePath Absolute Path to an image/resource
+     * @brief Add a resource such as the path to an image file
+     * @param resourcePath Absolute Path to an image/resource
      *
-     * \returns a number identifying the resource
+     * @returns a number identifying the resource
      */
     uint32_t AddResource(std::string resourcePath);
 
     /**
      *
-     * \brief Get node's energy fraction (This used only for testing)
-     * \param node
+     * @brief Get node's energy fraction (This used only for testing)
+     * @param node
      *
-     * \returns current node's remaining energy (between [0, 1])
+     * @returns current node's remaining energy (between [0, 1])
      */
     double GetNodeEnergyFraction(Ptr<const Node> node) const;
 
@@ -436,15 +436,15 @@
         /**
          * Constructor
          *
-         * \param pInfo anim packet info
+         * @param pInfo anim packet info
          */
         AnimPacketInfo(const AnimPacketInfo& pInfo);
         /**
          * Constructor
          *
-         * \param tx_nd transmit device
-         * \param fbTx fb transmit
-         * \param txNodeId transmit node ID
+         * @param tx_nd transmit device
+         * @param fbTx fb transmit
+         * @param txNodeId transmit node ID
          */
         AnimPacketInfo(Ptr<const NetDevice> tx_nd, const Time fbTx, uint32_t txNodeId = 0);
         Ptr<const NetDevice> m_txnd; ///< transmit device
@@ -456,8 +456,8 @@
         Ptr<const NetDevice> m_rxnd; ///< receive device
         /**
          * Process receive begin
-         * \param nd the device
-         * \param fbRx
+         * @param nd the device
+         * @param fbRx
          */
         void ProcessRxBegin(Ptr<const NetDevice> nd, const double fbRx);
     };
@@ -491,9 +491,9 @@
         /**
          * comparison operator
          *
-         * \param first
-         * \param second
-         * \return true if equal
+         * @param first
+         * @param second
+         * @return true if equal
          */
         bool operator()(P2pLinkNodeIdPair first, P2pLinkNodeIdPair second) const
         {
@@ -567,32 +567,32 @@
         /**
          * Constructor
          *
-         * \param tagName tag name
-         * \param emptyElement empty element?
+         * @param tagName tag name
+         * @param emptyElement empty element?
          */
         AnimXmlElement(std::string tagName, bool emptyElement = true);
         template <typename T>
         /**
          * Add attribute function
-         * \param attribute the attribute name
-         * \param value the attribute value
-         * \param xmlEscape true to escape
+         * @param attribute the attribute name
+         * @param value the attribute value
+         * @param xmlEscape true to escape
          */
         void AddAttribute(std::string attribute, T value, bool xmlEscape = false);
         /**
          * Set text function
-         * \param text the text for the element
+         * @param text the text for the element
          */
         void SetText(std::string text);
         /**
          * Append child function
-         * \param e the element to add as a child
+         * @param e the element to add as a child
          */
         void AppendChild(AnimXmlElement e);
         /**
          * Get text for the element function
-         * \param autoClose auto close the element
-         * \returns the text
+         * @param autoClose auto close the element
+         * @returns the text
          */
         std::string ToString(bool autoClose = true);
 
@@ -695,20 +695,20 @@
 
     /**
      * Get elements from context
-     * \param context the context string
-     * \returns the elements
+     * @param context the context string
+     * @returns the elements
      */
     const std::vector<std::string> GetElementsFromContext(const std::string& context) const;
     /**
      * Get node from context
-     * \param context the context string
-     * \returns the node
+     * @param context the context string
+     * @returns the node
      */
     Ptr<Node> GetNodeFromContext(const std::string& context) const;
     /**
      * Get net device from context
-     * \param context the context string
-     * \returns the device
+     * @param context the context string
+     * @returns the device
      */
     Ptr<NetDevice> GetNetDeviceFromContext(std::string context);
 
@@ -716,157 +716,157 @@
     /**
      * Start animation function
      *
-     * \param restart
+     * @param restart
      */
     void StartAnimation(bool restart = false);
     /**
      * Set output file function
      *
-     * \param fn the file name
-     * \param routing
+     * @param fn the file name
+     * @param routing
      */
     void SetOutputFile(const std::string& fn, bool routing = false);
     /**
      * Stop animation function
      *
-     * \param onlyAnimation
+     * @param onlyAnimation
      */
     void StopAnimation(bool onlyAnimation = false);
     /**
      * Counter type to string function
-     * \param counterType the counter type
-     * \returns the string
+     * @param counterType the counter type
+     * @returns the string
      */
     std::string CounterTypeToString(CounterType counterType);
     /**
      * Get packet metadata function
-     * \param p the packet
-     * \returns the meta data
+     * @param p the packet
+     * @returns the meta data
      */
     std::string GetPacketMetadata(Ptr<const Packet> p);
     /**
      * Add byte tag function
-     * \param animUid the UID
-     * \param p the packet
+     * @param animUid the UID
+     * @param p the packet
      */
     void AddByteTag(uint64_t animUid, Ptr<const Packet> p);
     /**
      * WriteN function
-     * \param data the data t write
-     * \param count the number of bytes to write
-     * \param f the file to write to
-     * \returns the number of bytes written
+     * @param data the data t write
+     * @param count the number of bytes to write
+     * @param f the file to write to
+     * @returns the number of bytes written
      */
     int WriteN(const char* data, uint32_t count, FILE* f);
     /**
      * WriteN function
-     * \param st the string to output
-     * \param f the file to write to
-     * \returns the number of bytes written
+     * @param st the string to output
+     * @param f the file to write to
+     * @returns the number of bytes written
      */
     int WriteN(const std::string& st, FILE* f);
     /**
      * Get MAC address function
-     * \param nd the device
-     * \returns the MAC address
+     * @param nd the device
+     * @returns the MAC address
      */
     std::string GetMacAddress(Ptr<NetDevice> nd);
     /**
      * Get IPv4 address
-     * \param nd the device
-     * \returns the IPv4 address
+     * @param nd the device
+     * @returns the IPv4 address
      */
     std::string GetIpv4Address(Ptr<NetDevice> nd);
     /**
      * Get IPv6 address
-     * \param nd the device
-     * \returns the IPv6 address
+     * @param nd the device
+     * @returns the IPv6 address
      */
     std::string GetIpv6Address(Ptr<NetDevice> nd);
     /**
      * Get IPv4 addresses
-     * \param nd the device
-     * \returns the IPv4 address list
+     * @param nd the device
+     * @returns the IPv4 address list
      */
     std::vector<std::string> GetIpv4Addresses(Ptr<NetDevice> nd);
     /**
      * Get IPv6 addresses
-     * \param nd the device
-     * \returns the IPv6 address list
+     * @param nd the device
+     * @returns the IPv6 address list
      */
     std::vector<std::string> GetIpv6Addresses(Ptr<NetDevice> nd);
 
     /**
      * Get netanim version function
-     * \returns the net anim version string
+     * @returns the net anim version string
      */
     std::string GetNetAnimVersion();
     /// Mobility auto check function
     void MobilityAutoCheck();
     /**
      * Is packet pending function
-     * \param animUid the UID
-     * \param protocolType the protocol type
-     * \returns true if a packet is pending
+     * @param animUid the UID
+     * @param protocolType the protocol type
+     * @returns true if a packet is pending
      */
     bool IsPacketPending(uint64_t animUid, ProtocolType protocolType);
     /**
      * Purge pending packets function
-     * \param protocolType the protocol type
+     * @param protocolType the protocol type
      */
     void PurgePendingPackets(ProtocolType protocolType);
     /**
      * Protocol type to pending packets function
-     * \param protocolType the protocol type
-     * \returns AnimUidPacketInfoMap *
+     * @param protocolType the protocol type
+     * @returns AnimUidPacketInfoMap *
      */
     AnimUidPacketInfoMap* ProtocolTypeToPendingPackets(ProtocolType protocolType);
     /**
      * Protocol type to string function
-     * \param protocolType the protocol type
-     * \returns the protocol type string
+     * @param protocolType the protocol type
+     * @returns the protocol type string
      */
     std::string ProtocolTypeToString(ProtocolType protocolType);
     /**
      * Add pending packet function
-     * \param protocolType the protocol type
-     * \param animUid the UID
-     * \param pktInfo the packet info
+     * @param protocolType the protocol type
+     * @param animUid the UID
+     * @param pktInfo the packet info
      */
     void AddPendingPacket(ProtocolType protocolType, uint64_t animUid, AnimPacketInfo pktInfo);
     /**
      * Get anim UID from packet function
-     * \param p the packet
-     * \returns the UID
+     * @param p the packet
+     * @returns the UID
      */
     uint64_t GetAnimUidFromPacket(Ptr<const Packet>);
     /**
      * Add to IPv4 address node ID table function
-     * \param ipv4Address the IPv4 address
-     * \param nodeId the node ID
+     * @param ipv4Address the IPv4 address
+     * @param nodeId the node ID
      */
     void AddToIpv4AddressNodeIdTable(std::string ipv4Address, uint32_t nodeId);
     /**
      * Add to IPv4 address node ID table function
-     * \param ipv4Addresses the list of IPv4 addresses
-     * \param nodeId the node ID
+     * @param ipv4Addresses the list of IPv4 addresses
+     * @param nodeId the node ID
      */
     void AddToIpv4AddressNodeIdTable(std::vector<std::string> ipv4Addresses, uint32_t nodeId);
     /**
      * Add to IPv6 address node ID table function
-     * \param ipv6Address the IPv6 address
-     * \param nodeId the node ID
+     * @param ipv6Address the IPv6 address
+     * @param nodeId the node ID
      */
     void AddToIpv6AddressNodeIdTable(std::string ipv6Address, uint32_t nodeId);
     /**
      * Add to IPv6 address node ID table function
-     * \param ipv6Addresses the list of IPv6 addresses
-     * \param nodeId the node ID
+     * @param ipv6Addresses the list of IPv6 addresses
+     * @param nodeId the node ID
      */
     void AddToIpv6AddressNodeIdTable(std::vector<std::string> ipv6Addresses, uint32_t nodeId);
     /**
      * Is in time window function
-     * \returns true if in the time window
+     * @returns true if in the time window
      */
     bool IsInTimeWindow();
     /// Check maximum packets per trace file function
